CRAN Package Check Results for Package ftsa

Last updated on 2022-01-28 10:53:14 CET.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 6.1 30.93 296.96 327.89 OK
r-devel-linux-x86_64-debian-gcc 6.1 28.59 216.05 244.64 OK
r-devel-linux-x86_64-fedora-clang 6.1 367.77 OK
r-devel-linux-x86_64-fedora-gcc 6.1 371.32 OK
r-devel-windows-x86_64-new-UL 6.1 92.00 385.00 477.00 OK
r-devel-windows-x86_64-new-TK 6.1 ERROR
r-patched-linux-x86_64 6.1 33.02 265.39 298.41 OK
r-release-linux-x86_64 6.1 20.10 262.11 282.21 OK
r-release-macos-arm64 6.1 OK
r-release-macos-x86_64 6.1 OK
r-release-windows-ix86+x86_64 6.1 60.00 231.00 291.00 ERROR
r-oldrel-macos-x86_64 6.1 OK
r-oldrel-windows-ix86+x86_64 6.1 60.00 330.00 390.00 OK

Check Details

Version: 6.1
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: 'meboot'
Flavor: r-devel-windows-x86_64-new-TK

Version: 6.1
Check: examples
Result: ERROR
    Running examples in 'ftsa-Ex.R' failed
    The error most likely occurred in:
    
    > ### Name: dynamic_FLR
    > ### Title: Dynamic updates via functional linear regression
    > ### Aliases: dynamic_FLR
    > ### Keywords: models
    >
    > ### ** Examples
    >
    > dynamic_FLR_point = dynamic_FLR(dat = ElNino_ERSST_region_1and2$y[,1:68],
    + newdata = ElNino_ERSST_region_1and2$y[1:4,69],
    + holdoutdata = ElNino_ERSST_region_1and2$y[5:12,69], pointfore = TRUE)
    >
    > dynamic_FLR_interval = dynamic_FLR(dat = ElNino_ERSST_region_1and2$y[,1:68],
    + newdata = ElNino_ERSST_region_1and2$y[1:4,69],
    + holdoutdata = ElNino_ERSST_region_1and2$y[5:12,69], pointfore = FALSE)
    Error in dynamic_FLR(dat = ElNino_ERSST_region_1and2$y[, 1:68], newdata = ElNino_ERSST_region_1and2$y[1:4, :
     Please install meboot
    Execution halted
Flavor: r-devel-windows-x86_64-new-TK

Version: 6.1
Check: loading without being on the library search path
Result: WARN
    Error: package 'forecast' required by 'ftsa' could not be found
    Execution halted
    
    It looks like this package has a loading problem when not on .libPaths:
    see the messages for details.
Flavor: r-release-windows-ix86+x86_64

Version: 6.1
Check: examples
Result: ERROR
    Running examples in 'ftsa-Ex.R' failed
    The error occurred in:
    
    
    R version 4.1.2 (2021-11-01) -- "Bird Hippie"
    Copyright (C) 2021 The R Foundation for Statistical Computing
    Platform: x86_64-w64-mingw32/x64 (64-bit)
    
    R is free software and comes with ABSOLUTELY NO WARRANTY.
    You are welcome to redistribute it under certain conditions.
    Type 'license()' or 'licence()' for distribution details.
    
     Natural language support but running in an English locale
    
    R is a collaborative project with many contributors.
    Type 'contributors()' for more information and
    'citation()' on how to cite R or R packages in publications.
    
    Type 'demo()' for some demos, 'help()' for on-line help, or
    'help.start()' for an HTML browser interface to help.
    Type 'q()' to quit R.
    
    > pkgname <- "ftsa"
    > source(file.path(R.home("share"), "R", "examples-header.R"))
    > options(warn = 1)
    > options(pager = "console")
    > library('ftsa')
    Error in library("ftsa") : there is no package called 'ftsa'
    Execution halted
Flavor: r-release-windows-ix86+x86_64

Version: 6.1
Check: re-building of vignette outputs
Result: WARN
    Error(s) in re-building vignettes:
    --- re-building 'ftsa.Rnw' using Sweave
    
    Error: processing vignette 'ftsa.Rnw' failed with diagnostics:
     chunk 1
    Error in library(ftsa) : there is no package called 'ftsa'
    
    --- failed re-building 'ftsa.Rnw'
    
    --- re-building 'ftsa_test.Rnw' using Sweave
    --- finished re-building 'ftsa_test.Rnw'
    
    SUMMARY: processing the following file failed:
     'ftsa.Rnw'
    
    Error: Vignette re-building failed.
    Execution halted
Flavor: r-release-windows-ix86+x86_64